---
title: RTCIdentityErrorEvent.loginUrl
slug: Web/API/RTCIdentityErrorEvent/loginUrl
tags:
  - Experimental
  - Expérimental(2)
  - Property
  - RTCIdentityErrorEvent
  - Read-only
  - Reference
  - Référence(2)
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The read-only property <code><strong>RTCIdentityErrorEvent.loginUrl</strong></code> is a {{domxref("DOMString")}} giving the URL where the user can complete the authentication. It can be <code>null</code> and is provided by the identity provider (idp).</p>

<div class="note">
<p>Firefox implements the interface of this property under the following name: <code>RTCPeerConnectionIdentityErrorEvent.</code> It is likely that it will correct this name when it will unprefix {{domxref("RTCPeerConnection")}}, once spec and implementation will have been stabilized.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var loginUrl = <em>event</em>.loginUrl;
<em>event</em>.loginUrl = "https://developer.mozilla.org/fakeURL";
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onidpassertionerror = function( ev ) {
                           alert("The idp requested an authentication" +
                                 " to be performed at th3 URL '" +
                                 ev.url +
                                 "'.");
                         }</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIdentityErrorEvent.loginUrl")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("idpassertionerror")}}, {{event("idpvalidationerror")}}</li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
